#!/bin/bash

# 设置远程主机、端口、源路径和目标路径
REMOTE_HOST="127.0.0.1"
REMOTE_PORT="1022"
SOURCE_PATH="/data/docker"
DEST_PATH="/workspace"

# 直接在脚本中写明命令，不使用变量存储以避免引号处理问题
while true; do
        # 执行rsync命令
        rsync -avP --partial -e "ssh -p $REMOTE_PORT" "${SOURCE_PATH}" "${REMOTE_HOST}:${DEST_PATH}" && break || echo "Rsync failed, retrying in 1 second..."

         # 如果上面的命令失败了（非零退出状态），则等待1秒后重试
        sleep 1
done
